@echo off
rem
rem Kelp configuration script for Windows
rem

:startProccessing
if "%1" == "-f" goto checkForte
if "%1" == "-j" goto checkJBuilder
echo ERROR: Must specify ide type with "-f" or "-j"
goto usage

:commence
set ENHYDRADIR=%3
set ENHYDRADIR=%ENHYDRADIR:"=%
if exist "%ENHYDRADIR%\lib\build.jar" goto jdkdir
echo ERROR: invalid Enhydra directory
goto usage

:jdkdir
set JDKDIR=%4
set JDKDIR=%JDKDIR:"=%
if exist "%JDKDIR%\lib\dt.jar" goto setup
echo ERROR: invalid JDK directory
goto usage

:setup
set JAVACMD="%JDKDIR%\bin\java.exe"
set LOCALCLASSPATH="%ENHYDRADIR%\lib\build.jar"
if "%1" == "-f" goto runAntForte
if "%1" == "-j" goto runAntJBuilder
goto usage

:runAntForte
  %JAVACMD% -classpath %LOCALCLASSPATH% org.apache.tools.ant.Main -buildfile configure.xml -DFORTE="true" -DIDEPATH="%IDEDIR%" -DENHYDRA_DIR="%ENHYDRADIR%" -DPLATFORM="windows" -DJDKDIR="%JDKDIR%" -DFORTEDRIVE="%IDEDRIVE%" > dist\nla0:
goto end

:runAntJBuilder
%JAVACMD% -classpath %LOCALCLASSPATH% org.apache.tools.ant.Main -buildfile configure.xml -DJBUILDER="true" -DIDEPATH="%IDEDIR%" -DENHYDRA_DIR="%ENHYDRADIR%" -DWIN="true" -DPLATFORM="windows" -DJDKDIR="%JDKDIR%" -DJBUILDERDRIVE="%IDEDRIVE%" > dist\nla0:
goto end

:checkForte
set IDEDIR=%2
set IDEDIR=%IDEDIR:"=%
set IDEDRIVE=%~d2
if exist "%IDEDIR%\lib\openide.jar" goto commence
echo ERROR: invalid Forte IDE directory
goto usage

:checkJBuilder
set IDEDIR=%2
set IDEDIR=%IDEDIR:"=%
set IDEDRIVE=%~d2
if exist "%IDEDIR%\lib\jbuilder.jar" goto commence
echo ERROR: invalid JBuilder IDE directory
goto usage

:usage
echo Usage: configure [-noquiet] idetype idedir enhydradir jdkdir
echo      idetype    - The type of ide you are using kelp with, use a "-f" to 
echo                   indicate Forte, and a "-j" to indicate JBuilder
echo      idedir     - The absolute path to the directory containing the
echo                   installation of the ide specified with idetype
echo      enhydradir - The absolute path to your Enhydra installation
echo      jdkdir     - The absolute path to your JDK 1.3 directory
echo      noquiet    - Run Ant in normal info mode
echo      antargs    - Arguments passed through to Ant, e.g. -verbose
goto end

:end
set IDEDIR=
set ENHYDRADIR=
set LOCALCLASSPATH=
set ANT_CMD_LINE_ARGS=
set JDKDIR=
set JAVACMD=%OLD_JAVACMD%