/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 * Lisa Reese
 *
 */

package org.enhydra.kelp.forte.services;

import java.awt.Image;
import java.beans.*;

import org.openide.compiler.ExternalCompilerType;
import org.openide.util.NbBundle;

/** Description of the compiler type.
 *
 * @author rees0234
 */
public class XMLCCompilerTypeBeanInfo extends SimpleBeanInfo {
    /** Icons for compiler settings objects. */

/*    private static PropertyDescriptor[] desc;

    static {
        try {
                desc = new PropertyDescriptor[] {

                new PropertyDescriptor (XMLCCompilerType.NAME_AUTO_PACK, XMLCCompilerType.class), // 0
                new PropertyDescriptor (XMLCCompilerType.NAME_LIBRARIES, XMLCCompilerType.class), // 1
                new PropertyDescriptor (XMLCCompilerType.NAME_GENTO, XMLCCompilerType.class), // 2
                new PropertyDescriptor (XMLCCompilerType.NAME_XMLC_CUSTOM, XMLCCompilerType.class), // 3
                new PropertyDescriptor (XMLCCompilerType.NAME_WORKING_DIR, XMLCCompilerType.class), // 4 NOI18N
                new PropertyDescriptor(XMLCCompilerType.NAME_XMLC_TYPE, XMLCCompilerType.class),  // 5 // NOI18N
                new PropertyDescriptor(XMLCCompilerType.NAME_XMLC_OPTION_FILEPATH, XMLCCompilerType.class), // 6 // NOI18
                new PropertyDescriptor (XMLCCompilerType.NAME_XMLC_PARAMETERS, XMLCCompilerType.class), // 0
                new PropertyDescriptor (XMLCCompilerType.XMLC_BUILD, XMLCCompilerType.class), // 1
                new PropertyDescriptor (XMLCCompilerType.XMLC_PRINT_DOM, XMLCCompilerType.class), // 2
                new PropertyDescriptor (XMLCCompilerType.XMLC_PRINT_PARSE, XMLCCompilerType.class), // 3
                new PropertyDescriptor (XMLCCompilerType.XMLC_PRINT_DOC, XMLCCompilerType.class), // 4 NOI18N
                new PropertyDescriptor(XMLCCompilerType.XMLC_VERBOSE, XMLCCompilerType.class),  // 5 // NOI18N
                new PropertyDescriptor(XMLCCompilerType.XMLC_PRINT_ACCESSOR, XMLCCompilerType.class), // 6 // NOI18N
           };

            desc[0].setDisplayName("autoPack");
            desc[0].setShortDescription("autoPackDesc");

            desc[1].setDisplayName("libraries");
            desc[1].setShortDescription("libariesDesc");

            desc[2].setDisplayName("genTo");
            desc[2].setShortDescription("genToDesc");

            desc[3].setDisplayName("Custom");
            desc[3].setShortDescription("customDesc");

	    desc[4].setDisplayName("workingDir");
	    desc[4].setShortDescription("workDirDesc");
            //desc[4].setPropertyEditorClass(org.netbeans.modules.java.FileSystemPE.class);

            desc[5].setDisplayName("type");
            desc[5].setShortDescription("typeDesc");
            desc[5].setExpert(true);

            desc[6].setDisplayName("options");
            desc[6].setShortDescription("optionsDesc");
            desc[6].setExpert(true);

            desc[9].setDisplayName("DOMprint");
            desc[9].setShortDescription("DOMPrintDesc");
            desc[9].setExpert(true);

        } catch (IntrospectionException ex) {
	    ex.printStackTrace();
           // throw new InternalError(MSGERRINIT);
        }
    }
    // Inherit properties and so on from ExternalCompilerType.
    public BeanInfo[] getAdditionalBeanInfo () {
        try {
            return new BeanInfo[] {
                       Introspector.getBeanInfo (ExternalCompilerType.class)
                   };
        } catch (IntrospectionException ie) {
            if (Boolean.getBoolean ("netbeans.debug.exceptions"))
                ie.printStackTrace ();
            return null;
        }
    }

    public BeanDescriptor getBeanDescriptor () {
        // Here is where to include a customizer class if you have one:
        BeanDescriptor desc = new BeanDescriptor (XMLCCompilerType.class);
        // Display name also serves as default for instances:
        desc.setDisplayName (NbBundle.getMessage (XMLCCompilerTypeBeanInfo.class, "LBL_CompilerType"));
        desc.setShortDescription (NbBundle.getMessage (XMLCCompilerTypeBeanInfo.class, "HINT_CompilerType"));
        return desc;
    }

    public PropertyDescriptor[] getPropertyDescriptors () {
        return desc;
    }
/*        try {
            PropertyDescriptor valueOfMyOption = new PropertyDescriptor ("valueOfMyOption", XMLCCompilerType.class);
            valueOfMyOption.setDisplayName (NbBundle.getMessage (XMLCCompilerCompilerTypeBeanInfo.class, "PROP_valueOfMyOption"));
            valueOfMyOption.setShortDescription (NbBundle.getMessage (XMLCCompilerCompilerTypeBeanInfo.class, "HINT_valueOfMyOption"));
            // If you wish to provide a custom set of preconfigured error expressions:
            /*
            PropertyDescriptor errorExpression = new PropertyDescriptor ("errorExpression", XMLCCompilerCompilerType.class);
            errorExpression.setDisplayName (NbBundle.getMessage (XMLCCompilerTypeBeanInfo.class, "PROP_errorExpression"));
            errorExpression.setShortDescription (NbBundle.getMessage (XMLCCompilerTypeBeanInfo.class, "HINT_errorExpression"));
            errorExpression.setPropertyEditorClass (ErrExprEd.class);
            */
//            return new PropertyDescriptor[] { valueOfMyOption /* , errorExpression */ };
/*        } catch (IntrospectionException ie) {
            if (Boolean.getBoolean ("netbeans.debug.exceptions"))
                ie.printStackTrace ();
            return null;
        }
    }*/

    private static Image icon, icon32;
    public Image getIcon (int type) {
        if (type == BeanInfo.ICON_COLOR_16x16 || type == BeanInfo.ICON_MONO_16x16) {
            if (icon == null)
                icon = loadImage ("XMLCCompilerIcon.gif");
            return icon;
        } else {
            if (icon32 == null)
                icon32 = loadImage ("XMLCCompilerIcon32.gif");
            return icon32;
        }
    }

    /*
    public static class ErrExprEd extends org.openide.explorer.propertysheet.editors.ExternalCompiler.ErrorExpressionEditor {

	public ErrExprEd () {
	    super (makeCollection ());
	}

	private static Collection makeCollection () {
	    java.util.List list = new java.util.ArrayList ();
            list.addAll (java.util.Arrays.asList (XMLCCompilerCompilerType.ERROR_EXPRS));
	    return list;
	}

    }
    */

}
