/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 *
 */

package org.enhydra.kelp.jbuilder.node;

// JBuilder imports
import com.borland.jbuilder.node.JBProject;
import com.borland.primetime.node.Node;
import com.borland.primetime.node.FolderNode;
import com.borland.primetime.node.LightweightNode;

// Kelp imports
import org.enhydra.kelp.common.node.OtterFolderNode;
import org.enhydra.kelp.common.node.OtterNode;

/**
 * Class declaration
 *
 *
 * @author Paul Mahar
 */
public class PrimeFolderNode extends PrimeNode implements OtterFolderNode {

    public PrimeFolderNode(FolderNode nativeNode) {
      super(nativeNode);
    }


    /**
     * Constructor declaration
     *
     *
     * @param otterNode
     * @param name
     */
    public PrimeFolderNode(OtterNode otterNode,
			   String name) {

        JBProject nativeProject = null;
        Node containerNode = null;

        if (otterNode.getProject().getNativeProject() instanceof JBProject) {
            nativeProject =
                (JBProject) otterNode.getProject().getNativeProject();
        }
        if (otterNode.getNativeNode() instanceof Node) {
            containerNode = (Node) otterNode.getNativeNode();
        }
        if (nativeProject != null && containerNode != null) {
            LightweightNode[] found = new LightweightNode[0];

            found = nativeProject.findNodes(name);
            if (found == null || found.length == 0) {
                FolderNode newNode = null;
	        newNode  = new FolderNode(nativeProject, containerNode, name);
                setNativeNode(newNode);
            } else {
                setNativeNode(found[0]);
            }
        }
    }

}
