/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 * Paul Mahar
 *
 */
package org.enhydra.tool.archive;

// Build
//import org.enhydra.ant.taskdefs.EJBClient;

// ToolBox
import org.enhydra.tool.common.ResUtil;
import org.enhydra.tool.archive.xml.EjbDescriptorHandler;

// JDK
import java.io.IOException;
import java.io.File;
import java.util.ResourceBundle;
import java.util.jar.Attributes;
import java.util.jar.Manifest;

//
public class EjbBuilder extends JarBuilder {

    //
    public EjbBuilder() {
        super();
    }

    // override JarBuilder
    protected Manifest buildManifest(Manifest m) {
        Manifest manifest = super.buildManifest(m);
        Boolean b = null;

        b = new Boolean(getEjbPlan().isCreateClient());
        manifest.getMainAttributes().put(new Attributes.Name(CREATE_CLIENT),
                                         b.toString());
        return manifest;
    }


    public EjbPlan getEjbPlan() {
        EjbPlan ep = null;

        if (getPlan() instanceof EjbPlan) {
            ep = (EjbPlan) getPlan();
        }
        return ep;
    }

    public File buildArchive() throws ArchiveException {
        File         jar = null;
        String       root = null;
        File[]       files = new File[0];
        Descriptor[] dd = new Descriptor[0];

        jar = openJarStream(getEjbPlan().getArchivePath());
        root = getEjbPlan().getClassRoot();
        dd = getEjbPlan().getDescriptors();
        files = getEjbPlan().getClassFileArray();
        addJarClasses();
        for (int i = 0; i < dd.length; i++) {
            addDescriptor(dd[i], root, files);
        }
        closeJarStream();
        if (getEjbPlan().isCreateClient()) {
            createClient(jar.getAbsolutePath());
        }
        return jar;
    }

    private void createClient(String path) {
        String[] args = new String[1];

        args[0] = path;
//      try {
//        EJBClient.main(args);
//      } catch(Exception e) {
//        e.getMessage();
//      }
    }

}
