/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 * Paul Mahar
 *
 */
package org.enhydra.tool.archive;

//
public class WebApplication extends Module {
    private String root = null;

    public WebApplication(String filepath) {
        super(filepath);
        setContextRoot(getName().substring(0, getName().indexOf('.')));
    }

    public String getContextRoot() {
        return root;
    }

    public void setContextRoot(String r) {
        root = r;
    }

    public boolean equals(Object obj) {
        boolean equal = false;

        if (obj instanceof WebApplication) {
            WebApplication webApp = (WebApplication) obj;

            equal = super.equals(webApp);
            if (equal) {
                if (!webApp.getContextRoot().equals(getContextRoot())) {
                    equal = false;
                }
            }
        }
        return equal;
    }

}
