/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 * Paul Mahar
 *
 */
package org.enhydra.tool.archive.wizard;

// ToolBox imports
import org.enhydra.tool.ToolBoxInfo;
import org.enhydra.tool.archive.ArchiveException;
import org.enhydra.tool.archive.JarPlan;
import org.enhydra.tool.common.Browser;
import org.enhydra.tool.common.ToolException;
import org.enhydra.tool.common.wizard.TBWizardPage;

// Standard imports
import java.awt.*;
import java.beans.*;
import java.io.File;
import javax.swing.*;

/**
 * The ArchivePage is a panel that you can add to the ArchiveDialog. It displays
 * a page title, instructions and an ArchivePanel.
 */
public class ArchivePage extends TBWizardPage {

    /**
     * Create an ArchivePage.
     */
    public ArchivePage() {
        super();
    }

    public void validatePage() throws ToolException {
        getArchivePanel().validatePlan();
    }

    public void preparePage() {
        getArchivePanel().preparePanel();
    }

    private ArchivePanel getArchivePanel() {
        return (ArchivePanel) getWizardPanel();
    }

    protected void writePlan(JarPlan plan) throws ArchiveException {
        getArchivePanel().writePlan(plan);
    }

    protected void readPlan(JarPlan plan) throws ArchiveException {
        getArchivePanel().readPlan(plan);
    }

    public void help() {
        Browser      browser = new Browser();
        StringBuffer buf = new StringBuffer();

        browser.setOwner(getTopLevelAncestor());
        buf.append(ToolBoxInfo.getEnhydraRoot());
        buf.append(File.separatorChar);
        buf.append("doc");           // nores
        buf.append(File.separatorChar);
        buf.append("index.html");    // nores
        browser.open(buf.toString());
    }

}
