/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 * Paul Mahar
 *
 */

package org.enhydra.tool.archive.wizard;

// ToolBox
import org.enhydra.tool.archive.Descriptor;

// JDK
import javax.swing.table.DefaultTableModel;
//
public class DDTableModel extends DefaultTableModel {
    public DDTableModel() {
        super();
        addColumn("Required");
        addColumn("Type");
        addColumn("Path");
    }

    public boolean isCellEditable(int row, int col) {
        return false;
    }

    protected void setDescriptor(int row, Descriptor ddRow) {
        Boolean b = new Boolean(ddRow.isRequired());

        setValueAt(b, row, 0);
        setValueAt(ddRow.getType(), row, 1);
        setValueAt(ddRow.getPath(), row, 2);
    }

    protected Descriptor getDescriptor(int row) {
        Descriptor dd = null;
        Boolean req = (Boolean) getValueAt(row, 0);
        String  type = (String) getValueAt(row, 1);
        String  path = (String) getValueAt(row, 2);
        dd = new Descriptor(req.booleanValue(), type);
        dd.setPath(path);
        return dd;
    }

    protected Descriptor[] getDescriptors() {
       Descriptor[] dd = new Descriptor[getRowCount()];
       for (int i = 0 ; i < dd.length ; i++) {
         dd[i] = getDescriptor(i);
       }
       return dd;
    }

    protected void addDescriptor(Descriptor ddRow) {
        Object[] row = new Object[3];

        row[0] = new Boolean(ddRow.isRequired());
        row[1] = ddRow.getType();
        row[2] = ddRow.getPath();
        addRow(row);
    }

    protected void clear() {
        while (getRowCount() > 0) {
            removeRow(0);
        }
    }

}
