/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 * Paul Mahar
 *
 */
package org.enhydra.tool.archive.wizard;

// Standard imports
import javax.swing.JPanel;
import java.lang.ref.WeakReference;

//
public class RefPanel extends JPanel {
    private WeakReference wizardRef = null;

    public RefPanel() {}

    protected void setWorkingRoot(String root) {
      getWizard().setWorkingRoot(root);
    }

    protected String getWorkingRoot() {
       return getWizard().getWorkingRoot();
    }

    protected void setWizard(ArchiveWizard wizard) {
        wizardRef = new WeakReference(wizard);
    }



    protected ArchiveWizard getWizard() {
        ArchiveWizard wizard = null;

        if (wizardRef != null) {
            wizard = (ArchiveWizard) wizardRef.get();
        }
        return wizard;
    }

}
