/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 *
 */
package org.enhydra.tool.configure;

//

import org.enhydra.tool.common.ToolException;

//

public class ConfigException extends ToolException {

    /**
     * Create a ToolException with a specified error message.
     *
     * @param message
     * Message providing information on the nature of the exception.
     */
    public ConfigException (String message) {
        super (message);
    }

    /**
     * Create a ToolException linked to a parent exception.
     *
     * @param chain
     * Parent exception to include in stack trace.
     * @param message
     * Message providing information on the nature of the exception.
     */
    public ConfigException (Throwable chain, String message) {
        super (chain, message);
    }

}

